## gate.gui
Class OptionsDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--gate.gui.OptionsDialog

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants

public class OptionsDialog
extends JDialog

The options dialog for Gate.

See Also:
  Serialized Form

Inner Class Summary
`protected static class` `OptionsDialog.LNFData`
`(package private) class` `OptionsDialog.OKAction`

Inner classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.AWTTreeLock`

Field Summary
`(package private) JButton` `cancelButton` The Cancel button: hides the dialog without doing anything
`(package private) Font` `componentsFont` The font to be used for GUI components; cached value for the one in the user config map.
`static String[]` `componentsKeys`
`(package private) boolean` `dirtyGUI` This flag becomes true when an GUI related option has been changed
`(package private) ButtonGroup` `fontBG` Button group for the font setting radio buttons
`(package private) JFontChooser` `fontChooser` The font chooser used for selecting fonts
`(package private) JComboBox` `lnfCombo` The combobox for the look and feel selection
`(package private) String` `lookAndFeelClassName` The name of the look and feel class
`(package private) JTabbedPane` `mainTabbedPane` The main tabbed pane
`(package private) JRadioButton` `menuBtn` Radio button used to set the font for menu components
`static String[]` `menuKeys`
`(package private) Font` `menusFont` The font to be used for the menus; cached value for the one in the user config map.
`(package private) JButton` `okButton` The OK button.
`(package private) JRadioButton` `otherCompsBtn` Radio button used to set the font for other components
`(package private) JCheckBox` `saveOptionsChk` The "Save Options on close" checkbox
`(package private) JCheckBox` `saveSessionChk` The "Save Session on close" checkbox
`(package private) String` `selectedFontBtn` which text is currently being edited; values are: "text", "menu", "other"
`(package private) JRadioButton` `textBtn` Radio button used to set the font for text components
`(package private) Font` `textComponentsFont` The font to be used for text components; cached value for the one in the user config map.
`static String[]` `textComponentsKeys`

Fields inherited from class javax.swing.JDialog
`accessibleContext, defaultCloseOperation, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`base, keepBlocking, modal, nameCounter, resizable, serialVersionUID, title`

Fields inherited from class java.awt.Window
`active, dbg, focusMgr, inputContext, inputContextLock, OPENED, ownedWindowList, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, listeningBoundsChildren, listeningChildren, maxSize, ncomponents, printing, printingThreads`

Fields inherited from class java.awt.Component

`actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, privateKey, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OptionsDialog(Frame owner)`

Method Summary
`void` `dispose()`
`protected void` `initGuiComponents()`
`protected void` `initListeners()`
`protected void` `initLocalData()`
`static void` `main(String[] args)`
`protected void` `selectedFontChanged()`
`static void` `setComponentsFont(Font font)` Updates the Swing defaults table with the provided font to be used for various compoents that neither text or menu components
`static void` `setMenuComponentsFont(Font font)` Updates the Swing defaults table with the provided font to be used for the menu components
`static void` `setTextComponentsFont(Font font)` Updates the Swing defaults table with the provided font to be used for the text components
`protected static void` `setUIDefaults(Object[] keys, Object value)`
`void` `show()`

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, createRootPaneException, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`<clinit>, addNotify, conditionalShow, constructComponentName, disposeImpl, getTitle, hide, hideAndDisposeHandler, initIDs, interruptBlocking, isModal, isResizable, setModal, setResizable, setTitle`

Methods inherited from class java.awt.Window

`addOwnedWindow, addWindowListener, adjustListeningChildren, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, eventEnabled, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postProcessKeyEvent, postWindowEvent, preProcessKeyEvent, processEvent, readObject, removeOwnedWindow, removeWindowListener, resetGC, setCursor, setFocusOwner, setWarningString, toBack, toFront, transferFocus, writeObject`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyOrientation, checkGD, countComponents, createChildHierarchyEvents, createHierarchyEvents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, findComponentAt, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPaint, lightweightPrint, list, list, locate, minimumSize, numListening, paint, paintComponents, paintHeavyweightComponents, postsOldMouseEvents, preferredSize, print, printComponents, printHeavyweightComponents, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### menuKeys

    public static String[] menuKeys

### componentsKeys

    public static String[] componentsKeys

### textComponentsKeys

    public static String[] textComponentsKeys

### mainTabbedPane

    JTabbedPane mainTabbedPane

  The main tabbed pane

### okButton

    JButton okButton

  The OK button. The action for this button is an `OptionsDialog.OKAction`

### cancelButton

    JButton cancelButton

  The Cancel button: hides the dialog without doing anything

### textBtn

    JRadioButton textBtn

  Radio button used to set the font for text components

### selectedFontBtn

    String selectedFontBtn

  which text is currently being edited; values are: "text", "menu", "other"

### menuBtn

    JRadioButton menuBtn

  Radio button used to set the font for menu components

### otherCompsBtn

    JRadioButton otherCompsBtn

  Radio button used to set the font for other components

### fontBG

    ButtonGroup fontBG

  Button group for the font setting radio buttons

### fontChooser

    JFontChooser fontChooser

  The font chooser used for selecting fonts

### saveOptionsChk

    JCheckBox saveOptionsChk

  The "Save Options on close" checkbox

### saveSessionChk

    JCheckBox saveSessionChk

  The "Save Session on close" checkbox

### lookAndFeelClassName

    String lookAndFeelClassName

  The name of the look and feel class

### menusFont

    Font menusFont

  The font to be used for the menus; cached value for the one in the user config map.

### textComponentsFont

    Font textComponentsFont

  The font to be used for text components; cached value for the one in the user config map.

### componentsFont

    Font componentsFont

  The font to be used for GUI components; cached value for the one in the user config map.

### dirtyGUI

    boolean dirtyGUI

  This flag becomes true when an GUI related option has been changed

### lnfCombo

    JComboBox lnfCombo

  The combobox for the look and feel selection

Constructor Detail

### OptionsDialog

    public OptionsDialog(Frame owner)

Method Detail

### initLocalData

    protected void initLocalData()

### initGuiComponents

    protected void initGuiComponents()

### initListeners

    protected void initListeners()

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `Dialog`

### selectedFontChanged

    protected void selectedFontChanged()

### show

    public void show()

  Overrides:
    `show` in class `Dialog`

### main

    public static void main(String[] args)

### setUIDefaults

    protected static void setUIDefaults(Object[] keys,
                                        Object value)

### setTextComponentsFont

    public static void setTextComponentsFont(Font font)

  Updates the Swing defaults table with the provided font to be used for the text components

### setMenuComponentsFont

    public static void setMenuComponentsFont(Font font)

  Updates the Swing defaults table with the provided font to be used for the menu components

### setComponentsFont

    public static void setComponentsFont(Font font)

  Updates the Swing defaults table with the provided font to be used for various compoents that neither text or menu components